| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShaderProgramPlugin Struct Reference
[Common Plugin Classes]

Plugins which provide iShaderProgram should implement this as a factory for iShaderProgram. More...

`#include <csplugincommon/shader/shaderplugin.h>`

Inheritance diagram for iShaderProgramPlugin:

[legend]
List of all members.

## Detailed Description

Plugins which provide iShaderProgram should implement this as a factory for iShaderProgram.

Definition at line 99 of file shaderplugin.h.

The documentation for this struct was generated from the following file:

- csplugincommon/shader/shaderplugin.h